#! /bin/sh
# This script will rely on the following scripts:
# fullftpdump

# Get the day of the month we are in
day=`date +%d | sed 's/^0//'`

# All dump levels for a full month with 31 days
set -A levels = 0 3 2 5 4 7 3 2 5 4 6 3 2 5 4 9 3 2 5 4 7 6 8 3 2 5 4 7 6 9 8

# Get the level
let level=${levels[day]}

echo "Using dump level $level"

/root/bin/fullftpdump -l $level
