#!/bin/sh

ARCH=`arch -s`
DESTDIR=/usr/local/storage/dest/base/${ARCH}
RELEASEDIR=/usr/local/storage/release/${ARCH}

export DESTDIR
export RELEASEDIR

test -d "${DESTDIR}" && sudo mv "${DESTDIR}" "${DESTDIR}-" \
	&& sudo rm -rf "${DESTDIR}-" &
sudo mkdir -p "${DESTDIR}" "${RELEASEDIR}"

cd /usr/src/etc && sudo nice make release
if [ $? -ne 0 ]; then
	unset RELEASEDIR DESTDIR
	exit 1
fi
cd /usr/src/distrib/sets && sudo sh checkflist
RESULT=$?

unset RELEASEDIR DESTDIR

exit ${RESULT}
