#! /bin/sh

ARCH=`arch -s`
DESTDIR=/usr/local/storage/dest/xenocara/${ARCH}
RELEASEDIR=/usr/local/storage/release/${ARCH}

if [ -e :s/etc/mk.conf ]; then
	XSRCDIR=${XSRCDIR:-`make -f /etc/mk.conf -V XSRCDIR`}
fi
XSRCDIR=${XSRCDIR:=/usr/xenocara}

export DESTDIR
export RELEASEDIR

test -d "${DESTDIR}" && sudo mv "${DESTDIR}" "${DESTDIR}-" \
    && sudo rm -rf "${DESTDIR}-"
sudo mkdir -p "${DESTDIR}" "${RELEASEDIR}"

cd "${XSRCDIR}" && sudo nice make bootstrap release
RESULT=$?

unset RELEASEDIR DESTDIR

exit ${RESULT}
